=== renamed file 'apport/bzr.conf' => 'apport/bzr-crashdb.conf'
=== modified file 'setup.py'
--- setup.py	2010-03-07 13:33:37 +0000
+++ setup.py	2010-03-29 08:07:38 +0000
@@ -711,6 +711,19 @@
         # easy_install one
         DATA_FILES = [('man/man1', ['bzr.1'])]
 
+    if sys.platform != 'win32':
+        # see https://wiki.kubuntu.org/Apport/DeveloperHowTo
+        #
+        # checking the paths and hardcoding the check for root is a bit gross,
+        # but I don't see a cleaner way to find out the locations in a way
+        # that's going to align with the hardcoded paths in apport.
+        if os.geteuid() == 0:
+            DATA_FILES += [
+                ('/usr/share/apport/package-hooks',
+                    ['apport/source_bzr.py']),
+                ('/etc/apport/crashdb.conf.d/',
+                    ['apport/bzr-crashdb.conf']),]
+
     # std setup
     ARGS = {'scripts': ['bzr'],
             'data_files': DATA_FILES,

